%define basen freecell-solver
%define libname_orig lib%{basen}
%define major 0
%define libname %mklibname %{basen} %{major}
%define develname %mklibname %{basen} -d
%define staticname %mklibname %{basen} -d -s


Name: %{basen}
Version: 3.8.0
Release: %mkrel 2
License: MIT
Group: Games/Cards
Source: http://download.berlios.de/fc-solve/%{name}-%{version}.tar.bz2
Buildroot: %{_tmppath}/freecell-solver-root
URL: http://fc-solve.berlios.de/
Requires: %{libname} = %version-%release
Summary: The Freecell Solver Executable
BuildRequires: cmake

%description
The Freecell Solver package contains the fc-solve executable which is
a command-line program that can be used to solve games of Freecell and
similar card solitaire variants.

This package also contains command line executables to generate the initial
boards of several popular Freecell implementations.

%files
%defattr(-,root,root)
%_bindir/fc-solve
%_bindir/freecell-solver-fc-pro-range-solve
%_bindir/freecell-solver-multi-thread-solve
%_bindir/freecell-solver-range-parallel-solve
%_bindir/make-aisleriot-freecell-board
%_bindir/make-gnome-freecell-board
%_bindir/make_pysol_freecell_board.py
%_bindir/pi-make-microsoft-freecell-board
%exclude %_bindir/make-microsoft-freecell-board
%_datadir/freecell-solver
%{_mandir}/*/*
%{_docdir}/*

#--------------------------------------------------------------------

%package -n %{libname}
Summary: The Freecell Solver dynamic libraries for solving Freecell games
Group: Games/Cards

%description -n %{libname}
Contains the Freecell Solver libraries that are used by some programs to solve
games of Freecell and similar variants of card solitaire.

This package is mandatory for the Freecell Solver executable too.

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libfreecell-solver.so.%{major}.*
%{_libdir}/libfreecell-solver.so.%{major}*

#--------------------------------------------------------------------

%package -n %{develname}
Summary: The Freecell Solver development tools for solving Freecell games
Group: Games/Cards
Requires: %{libname} = %version-%release
Provides: %{name}-devel = %{version}-%{release}

%description -n %{develname}
Freecell Solver is a library for automatically solving boards of Freecell and
similar variants of card Solitaire. This package contains the header files and 
static libraries necessary for developing programs using Freecell Solver.

You should install it if you are a game developer who would like to use 
Freecell Solver from within your programs.

%files -n %{develname}
%defattr(-,root,root)
%_includedir/freecell-solver/*.h
%_bindir/freecell-solver-config
%{_libdir}/pkgconfig/*.pc
%{_libdir}/libfreecell-solver.so

#--------------------------------------------------------------------

%package -n %{staticname}
Summary: The Freecell Solver static libraries
Group: Games/Cards
Requires: %{develname} = %version-%release

%description -n %{staticname}
Freecell Solver is a library for automatically solving boards of Freecell and
similar variants of card Solitaire. This package contains the static libraries.

It is not generally required.

%files -n %{staticname}
%defattr(-,root,root)
%{_libdir}/libfreecell-solver.a

#--------------------------------------------------------------------

%prep
%setup -q
# This is a hack that is meant to make sure the README of the board
# generation programs resides inside the board_gen sub-dir of the 
# documentation directory.
cd board_gen
mkdir doc
cd doc
mkdir board_gen
cd board_gen
cp ../../README .


%build
%cmake -DLOCALE_INSTALL_DIR=%{_datadir}/locale -DLIB_INSTALL_DIR=%{_libdir} -DMAX_NUM_FREECELLS=8 -DMAX_NUM_STACKS=12
%make

%install
rm -rf %buildroot
cd build
%{makeinstall_std}

%clean
rm -rf $RPM_BUILD_ROOT





%changelog

* Thu Nov 10 2011 shlomif <shlomif> 3.8.0-2.mga2
+ Revision: 166243
- New release to test mgarepo's fix for mgarepo submit with the new svn
- Reverted the previous change
- Meaningless change to make sure mgarepo works with the latest subversion.

* Thu Jul 14 2011 shlomif <shlomif> 3.8.0-1.mga2
+ Revision: 124261
- New version - 3.8.0.

* Thu Mar 24 2011 boklm <boklm> 3.4.0-5.mga1
+ Revision: 76138
- rebuild for bug #497

* Wed Mar 23 2011 boklm <boklm> 3.4.0-4.mga1
+ Revision: 75815
- fix devel package name

* Tue Mar 22 2011 dmorgan <dmorgan> 3.4.0-3.mga1
+ Revision: 75485
- Clean spec file
  Use macros
  Fix wrong requires

* Sun Mar 13 2011 philippem <philippem> 3.4.0-2.mga1
+ Revision: 70743
- imported package freecell-solver


* Sun Dec 19 2010 Shlomi Fish <shlomif@mandriva.org> 3.4.0-2mdv2011.0
+ Revision: 623096
- import freecell-solver

